Elog - Bug #8034

Log admin no permission to activate non-shared category
03/08/2015 10:06 PM - Kyle Hazelwood

Status: Closed Start date: 03/08/2015
Priority: Normal Due date:

Assignee: Kyle Hazelwood % Done: 0%
Category: Server Estimated time: 1.00 hour
Target version: Version 1.0 Spent time: 0.50 hour
Description

Chip Edstrom:

| tried activating the NML General category (since we use it on a regular basis for building-wide notes- e.g. prep for shutdowns) but it
says that | lack permission to enable the shared category... it doesn't look like it's shared though:

e Timestamp: 2015-03-05 09:22:45.273

URI: /Elog/editCategory

Query: null

Exception: null

Message: User: edstrom has insufficent admin permissions to edit shared category 167.
Status code: 403

User agent: Mozilla/5.0 (Windows NT 6.1; WOWG64; rv:31.0) Gecko/20100101 Firefox/31.0

History

#1 - 03/08/2015 10:08 PM - Kyle Hazelwood

I've found the bug, it was a clear logic problem. | guess no log admin had ever tried reactivating a category. This is fixed on the test server.

#2 - 11/22/2016 07:28 PM - Kyle Hazelwood
- Status changed from Assigned to Closed

- Target version set to Version 1.0

This is fixed.
